### Method

# Meta Workspace activate_with_focus

#### Declaration [src]

    void
    meta_workspace_activate_with_focus (
      MetaWorkspace* workspace,
      MetaWindow* focus_this,
      guint32 timestamp
    )

#### Description [src]

Switches to `workspace` and possibly activates the window `focus_this`.

The window `focus_this` is activated by calling `meta_window_activate()` which will unminimize it and transient parents, raise it and give it the focus.

If a window is currently being moved by the user, it will be moved to `workspace`.

The advantage of calling this function instead of `meta_workspace_activate()` followed by `meta_window_activate()` is that it happens as a unit, so no other window gets focused first before `focus_this`.

#### Parameters

`focus_this`

  Type: `MetaWindow`

  The `MetaWindow` to be focused, or `NULL`.

  The data is owned by the caller of the method.

`timestamp`

  Type: `guint32`

  Timestamp for `focus_this`.